package com.ruoyi.ai.mapper;

import java.util.List;
import java.util.Set;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiUserMessage;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

/**
 * 站内信管理Mapper接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface AiUserMessageMapper extends BaseMapper<AiUserMessage> {
    int deleteAiUserMessageByIds(Long[] ids);

    int deleteAiUserMessageById(Long id);

    void addUserMessage(@Param("messageId") Long id, @Param("userIds") Set<Long> userIds);

    List<AiUserMessage> selectAiUserMessageList(AiUserMessage aiUserMessage);

    AiUserMessage selectAiUserMessageById(Long id);

    @Delete(" delete from user_message where message_id = #{messageId}")
    void deleteUserMessage(@Param("messageId") Long id);
}
